osgAnimation::RigTransformSoftware::BonePtrWeight Class Reference

`#include <RigTransformSoftware>`

Inheritance diagram for osgAnimation::RigTransformSoftware::BonePtrWeight:

## Public Member Functions

| BonePtrWeight (unsigned int id, float weight, Bone *bone=0)
| BonePtrWeight (const BonePtrWeight &bw2)
const float & | getWeight () const
void | setWeight (float b)
const unsigned int & | getBoneID () const
void | setBoneID (unsigned int b)
bool | operator< (const BonePtrWeight &b1) const
const Bone * | getBonePtr () const
| set Bone pointer
void | setBonePtr (Bone *b)

## Protected Attributes

osg::observer_ptr< Bone > | _boneptr

## Constructor & Destructor Documentation

## BonePtrWeight() [1/2]

osgAnimation::RigTransformSoftware::BonePtrWeight::BonePtrWeight | ( | unsigned int | id,
|  | float | weight,
|  | Bone * | bone = 0 )

inline

References _boneptr.

Referenced by BonePtrWeight(), and operator<().

## BonePtrWeight() [2/2]

osgAnimation::RigTransformSoftware::BonePtrWeight::BonePtrWeight | ( | const BonePtrWeight & | bw2 | ) |

inline

References _boneptr, BonePtrWeight(), getBoneID(), and getWeight().

## Member Function Documentation

## getBoneID()

const unsigned int & osgAnimation::RigTransformSoftware::BonePtrWeight::getBoneID | ( |  | ) | const

inline

Referenced by BonePtrWeight().

## getBonePtr()

const Bone * osgAnimation::RigTransformSoftware::BonePtrWeight::getBonePtr | ( |  | ) | const

inline

set Bone pointer

References _boneptr.

## getWeight()

const float & osgAnimation::RigTransformSoftware::BonePtrWeight::getWeight | ( |  | ) | const

inline

Referenced by BonePtrWeight().

## operator<()

bool osgAnimation::RigTransformSoftware::BonePtrWeight::operator< | ( | const BonePtrWeight & | b1 | ) | const

inline

References BonePtrWeight().

## setBoneID()

void osgAnimation::RigTransformSoftware::BonePtrWeight::setBoneID | ( | unsigned int | b | ) |

inline

## setBonePtr()

void osgAnimation::RigTransformSoftware::BonePtrWeight::setBonePtr | ( | Bone * | b | ) |

inline

References _boneptr.

## setWeight()

void osgAnimation::RigTransformSoftware::BonePtrWeight::setWeight | ( | float | b | ) |

inline

## Member Data Documentation

## _boneptr

osg::observer_ptr< Bone > osgAnimation::RigTransformSoftware::BonePtrWeight::_boneptr

protected

Referenced by BonePtrWeight(), BonePtrWeight(), getBonePtr(), and setBonePtr().

The documentation for this class was generated from the following file:

- RigTransformSoftware